// KLDraw - An interactive LDraw modeler for KDE
// Copyright (c)2006 Park "segfault" J. K. <nemesis@planetmono.org>

#ifndef _TRANSFORMDIALOG_H_
#define _TRANSFORMDIALOG_H_

#include "commondialog.h"

class QPushButton;
class QLineEdit;
class KLDrawListItem;

class KLDrawTransformDialog : public KLDrawCommonDialog
{
	Q_OBJECT;
	
	public:
		KLDrawTransformDialog();
		~KLDrawTransformDialog();
		
		void show();
		
	public slots:
		void actionApply();
		
	private:
		void refresh();
		
		QLineEdit *matrixEdit_[4][3];
};

#endif

