// KLDraw - An interactive LDraw modeler for KDE
// Copyright (c)2006 Park "segfault" J. K. <nemesis@planetmono.org>

#include <qdialog.h>

class QVBoxLayout;
class QPushButton;
class KLDrawListItem;

class KLDrawCommonDialog : public QDialog
{
	Q_OBJECT;
	
	public:
		KLDrawCommonDialog();
		virtual ~KLDrawCommonDialog() {}
		
		virtual void show() { QDialog::show(); }
		
	public slots:
		void setCurrentItem(KLDrawListItem *i);
		
		void actionOK();
		virtual void actionApply() {}
		
	protected:
		void addStandardButtons();
		
		virtual void refresh() {}
		
		KLDrawListItem *item_;
		
		QVBoxLayout *mainLayout_;
		
	private:
		QPushButton *buttonOk_;
		QPushButton *buttonApply_;
		QPushButton *buttonCancel_;
};
