// KLDraw - An interactive LDraw modeler for KDE
// Copyright (c)2006 Park "segfault" J. K. <nemesis@planetmono.org>

#ifndef _PARTRENDERER_H_
#define _PARTRENDERER_H_

#include <qpixmap.h>

#include "renderer.h"

class QGLContext;
class ldraw::model;

class KLDrawPartRenderer : public KLDrawRenderer
{
	public:
		KLDrawPartRenderer(int width, int height);
		~KLDrawPartRenderer();
		
		void setNewSize(int width, int height);
		
		QPixmap render(ldraw::model *m, bool crop = false);
		
	private:
		int width_;
		int height_;
		
		QPixmap renderedImage_;
		QGLContext *context_;
};

#endif
